Redmine - Feature #34307

Create custom field by copy
2020-11-25 14:49 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 4.2.0

Resolution: Fixed

Description

Sometimes we want to create a custom field with settings similar setting to an existing one. For example, when you want to create
multiple custom fields for the same project and tracker.

In such cases, the ability to copy custom fields similar to those already implemented for roles (#9258) and trackers (#34258) can
save you a lot of time and effort.

Custom f'IEldS © New custom field
Issues
Name Format Required For all projects Used by
Searchable field Text 1 project 1 | D copy | Tl Delete
Database List v 1 | D copy | Tl Delete
Float field Float v 1 | O copy | 1l Delete
Custom date Date v 1 Copy | T Delete
Project 1 cf Date no projects T | @ copy | T Delete
| R

Associated revisions

Revision 20692 - 2020-12-26 02:36 - Go MAEDA
Create custom field by copy (#34307).

Patch by Takenori TAKAKI.

History

#1 - 2020-12-04 01:03 - Takenori TAKAKI
- File 34307-copy-custom-field.patch added

| made a patch to copy the custom field and attach it.
| confirmed that this patch works fine on latest trunk@20562.

#2 - 2020-12-04 01:56 - Takenori TAKAKI
- File 34307-copy-custom-field.patch added

The patch for #note-1 was incomplete and | will reattach it.

#3 - 2020-12-04 01:58 - Go MAEDA
- File deleted (34307-copy-custom-field.patch)

#4 - 2020-12-04 08:59 - Go MAEDA
https://www.redmine.org/issues/34258

- Target version set to Candidate for next major release

#5 - 2020-12-20 08:54 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#6 - 2020-12-26 02:36 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.
